added missing define for win32
[libfirm] / configure
index 9be332f..28bef43 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,7 +1,7 @@
 #! /bin/sh
 # From configure.in Id: configure.in.
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.59 for libfirm 0.3.0.
+# Generated by GNU Autoconf 2.59 for libfirm 1.3.0.
 #
 # Copyright (C) 2003 Free Software Foundation, Inc.
 # This configure script is free software; the Free Software Foundation
@@ -268,8 +268,8 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='libfirm'
 PACKAGE_TARNAME='libfirm'
-PACKAGE_VERSION='0.3.0'
-PACKAGE_STRING='libfirm 0.3.0'
+PACKAGE_VERSION='1.3.0'
+PACKAGE_STRING='libfirm 1.3.0'
 PACKAGE_BUGREPORT=''
 
 # Factoring default headers for most tests.
@@ -309,7 +309,7 @@ ac_includes_default="\
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS libfirm_conf_env plugin_subdirs enable_debug_libfirm enable_profile_libfirm enable_auto_documentation enable_firm_jni enable_heapanalysis disable_libiberty enable_statistics enable_libcore enable_external_effects CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT LD ac_ct_LD libfirm_cv_prog_ld_r AR TAR RANLIB ac_ct_RANLIB INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S DOXYGEN DOT JAVAC JAVAH CPP EGREP LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS libfirm_conf_env plugin_subdirs XML2CONFIG enable_debug_libfirm enable_profile_libfirm enable_auto_documentation enable_firm_jni enable_heapanalysis disable_libiberty enable_statistics enable_libcore enable_ilp enable_jvm enable_wchar_support enable_external_effects CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT AWK LD ac_ct_LD libfirm_cv_prog_ld_r AR TAR RANLIB ac_ct_RANLIB INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S DOXYGEN DOT JAVAC JAVAH CPP EGREP LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -778,7 +778,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures libfirm 0.3.0 to adapt to many kinds of systems.
+\`configure' configures libfirm 1.3.0 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -835,7 +835,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of libfirm 0.3.0:";;
+     short | recursive ) echo "Configuration of libfirm 1.3.0:";;
    esac
   cat <<\_ACEOF
 
@@ -850,9 +850,11 @@ Optional Features:
   --enable-heapanalysis   Compile with heap analysis.
   --disable-libiberty     disable own libiberty parts
   --disable-hooks         disable Firm hooks
-  --disable-inplace-edges disable Firm inplace edges
   --enable-statistics     enable Firm statistics
   --enable-libcore        enable libcore debugging
+  --enable-ilp            enable ilp solver
+  --enable-jvm            enable to call the jvm
+  --enable-wchar-support  enable wchar_t support for identifiers (needed for java)
   --disable-external-effects  disable descriptions of external effects in XML
 
 Optional Packages:
@@ -861,7 +863,6 @@ Optional Packages:
   --with-plugins=list     include external libfirm plugins list (space separated)
   --with-includedir=add   colon seperated list of directories to include search path
   --with-libdir=add       colon seperated list of directories to linker search path
-  --with-libxml2=prefix   installation prefix of libxml2 (IPD: --with-libxml2=/usr/public/libxml2)
 
 Some influential environment variables:
   CC          C compiler command
@@ -970,7 +971,7 @@ fi
 test -n "$ac_init_help" && exit 0
 if $ac_init_version; then
   cat <<\_ACEOF
-libfirm configure 0.3.0
+libfirm configure 1.3.0
 generated by GNU Autoconf 2.59
 
 Copyright (C) 2003 Free Software Foundation, Inc.
@@ -984,7 +985,7 @@ cat >&5 <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by libfirm $as_me 0.3.0, which was
+It was created by libfirm $as_me 1.3.0, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
   $ $0 $@
@@ -1322,17 +1323,23 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
 
 
-ac_output_file="Makefile MakeRules ir/Makefile ir/adt/Makefile ir/debug/Makefile \
+ac_output_file="Makefile MakeRules ir/Makefile ir/adt/Makefile ir/net/Makefile ir/debug/Makefile \
                ir/tv/Makefile ir/common/Makefile ir/ident/Makefile ir/ir/Makefile \
                ir/ana/Makefile ir/tr/Makefile ir/ana2/Makefile ir/stat/Makefile \
                ir/opt/Makefile ir/external/Makefile ir/config/Makefile \
-               ir/arch/Makefile \
+               ir/arch/Makefile ir/lower/Makefile \
                testprograms/Makefile firmjni/Makefile firmjni/testprograms/Makefile \
                libfirm.doxygen"
 
           ac_config_headers="$ac_config_headers config.h"
 
 
+
+
+
+
+
+
 libfirm_conf_env="${CC+CC='$CC'} ${CFLAGS+CFLAGS='$CFLAGS'} ${CPP+CPP='$CPP'} ${CPPFLAGS+CPPFLAGS='$CPPFLAGS'} ${LDFLAGS+LDFLAGS='$LDFLAGS'} ${LIBS+LIBS='$LIBS'}"
 
 
@@ -1383,24 +1390,64 @@ if test "${with_libdir+set}" = set; then
 fi;
 
 
-# Check whether --with-libxml2 or --without-libxml2 was given.
-if test "${with_libxml2+set}" = set; then
-  withval="$with_libxml2"
-  LDFLAGS=$LDFLAGS" -L"$withval"/lib";
-       CPPFLAGS=$CPPFLAGS" -I"$withval"/include/libxml2"
-fi;
+# Extract the first word of "xml2-config", so it can be a program name with args.
+set dummy xml2-config; ac_word=$2
+echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+if test "${ac_cv_prog_XML2CONFIG+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$XML2CONFIG"; then
+  ac_cv_prog_XML2CONFIG="$XML2CONFIG" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+    ac_cv_prog_XML2CONFIG=""xml2-config""
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+
+  test -z "$ac_cv_prog_XML2CONFIG" && ac_cv_prog_XML2CONFIG=""echo""
+fi
+fi
+XML2CONFIG=$ac_cv_prog_XML2CONFIG
+if test -n "$XML2CONFIG"; then
+  echo "$as_me:$LINENO: result: $XML2CONFIG" >&5
+echo "${ECHO_T}$XML2CONFIG" >&6
+else
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
+if test "$XML2CONFIG" != "xml2-config"; then
+  { { echo "$as_me:$LINENO: error: xml2-config for detecting libxml2 not found" >&5
+echo "$as_me: error: xml2-config for detecting libxml2 not found" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+LDFLAGS=$LDFLAGS" -L/usr/lib `$XML2CONFIG --libs`";
+CPPFLAGS=$CPPFLAGS" `$XML2CONFIG --cflags`";
 
 # Check whether --enable-debug or --disable-debug was given.
 if test "${enable_debug+set}" = set; then
   enableval="$enable_debug"
   if test "$enableval" = yes; then
-  cat >>confdefs.h <<\_ACEOF
-#define DEBUG_libfirm 1
+
+cat >>confdefs.h <<\_ACEOF
+#define DEBUG_libfirm
 _ACEOF
 
 else
-  cat >>confdefs.h <<\_ACEOF
-#define NDEBUG 1
+
+cat >>confdefs.h <<\_ACEOF
+#define NDEBUG
 _ACEOF
 
 fi
@@ -1411,8 +1458,9 @@ fi;
 if test "${enable_inlining+set}" = set; then
   enableval="$enable_inlining"
   if test "$enableval" = yes; then
-  cat >>confdefs.h <<\_ACEOF
-#define USE_INLINING 1
+
+cat >>confdefs.h <<\_ACEOF
+#define USE_INLINING
 _ACEOF
 
 fi
@@ -1471,8 +1519,9 @@ if test "$enable_heapanalysis" = "no"; then
   echo "$as_me:$LINENO: result: disabled" >&5
 echo "${ECHO_T}disabled" >&6
 else
-  cat >>confdefs.h <<\_ACEOF
-#define DO_HEAPANALYSIS 1
+
+cat >>confdefs.h <<\_ACEOF
+#define DO_HEAPANALYSIS
 _ACEOF
 
   echo "$as_me:$LINENO: result: enabled" >&5
@@ -1495,8 +1544,9 @@ fi;
 if test "${enable_hooks+set}" = set; then
   enableval="$enable_hooks"
   if test "$enableval" = yes; then
-  cat >>confdefs.h <<\_ACEOF
-#define FIRM_ENABLE_HOOKS 1
+
+cat >>confdefs.h <<\_ACEOF
+#define FIRM_ENABLE_HOOKS
 _ACEOF
 
 fi
@@ -1508,47 +1558,91 @@ _ACEOF
 
 fi;
 
-# Check whether --enable-inplace_edges or --disable-inplace_edges was given.
-if test "${enable_inplace_edges+set}" = set; then
-  enableval="$enable_inplace_edges"
-  if test "$enableval" = yes; then
-  cat >>confdefs.h <<\_ACEOF
-#define FIRM_EDGES_INPLACE 1
+# Check whether --enable-statistics or --disable-statistics was given.
+if test "${enable_statistics+set}" = set; then
+  enableval="$enable_statistics"
+  if test "$enableval"=yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define FIRM_STATISTICS
 _ACEOF
 
 fi
-else
-  cat >>confdefs.h <<\_ACEOF
-#define FIRM_EDGES_INPLACE 1
+fi;
+
+
+# Check whether --enable-libcore or --disable-libcore was given.
+if test "${enable_libcore+set}" = set; then
+  enableval="$enable_libcore"
+  if test "$enableval"=yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define WITH_LIBCORE
 _ACEOF
 
+fi
+fi;
+
+
+echo "$as_me:$LINENO: checking for ilp solver support" >&5
+echo $ECHO_N "checking for ilp solver support... $ECHO_C" >&6
+# Check whether --enable-ilp or --disable-ilp was given.
+if test "${enable_ilp+set}" = set; then
+  enableval="$enable_ilp"
+  if test "$enableval"=yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define WITH_ILP
+_ACEOF
 
+fi
 fi;
 
-# Check whether --enable-statistics or --disable-statistics was given.
-if test "${enable_statistics+set}" = set; then
-  enableval="$enable_statistics"
+if test "$enable_ilp" == yes; then
+  echo "$as_me:$LINENO: result: enabled" >&5
+echo "${ECHO_T}enabled" >&6
+else
+  echo "$as_me:$LINENO: result: disabled" >&5
+echo "${ECHO_T}disabled" >&6
+fi
+
+echo "$as_me:$LINENO: checking for jvm support" >&5
+echo $ECHO_N "checking for jvm support... $ECHO_C" >&6
+# Check whether --enable-jvm or --disable-jvm was given.
+if test "${enable_jvm+set}" = set; then
+  enableval="$enable_jvm"
   if test "$enableval"=yes; then
-  cat >>confdefs.h <<\_ACEOF
-#define FIRM_STATISTICS 1
+
+cat >>confdefs.h <<\_ACEOF
+#define WITH_JVM
 _ACEOF
 
 fi
 fi;
 
+if test "$enable_jvm" == yes; then
+  echo "$as_me:$LINENO: result: enabled" >&5
+echo "${ECHO_T}enabled" >&6
+else
+  echo "$as_me:$LINENO: result: disabled" >&5
+echo "${ECHO_T}disabled" >&6
+fi
 
-# Check whether --enable-libcore or --disable-libcore was given.
-if test "${enable_libcore+set}" = set; then
-  enableval="$enable_libcore"
+
+# Check whether --enable-wchar_support or --disable-wchar_support was given.
+if test "${enable_wchar_support+set}" = set; then
+  enableval="$enable_wchar_support"
   if test "$enableval"=yes; then
-  cat >>confdefs.h <<\_ACEOF
-#define WITH_LIBCORE 1
+
+cat >>confdefs.h <<\_ACEOF
+#define FIRM_ENABLE_WCHAR
 _ACEOF
 
 fi
 fi;
 
 
+
 echo "$as_me:$LINENO: checking for using external effects in xml2" >&5
 echo $ECHO_N "checking for using external effects in xml2... $ECHO_C" >&6
 # Check whether --enable-external-effects or --disable-external-effects was given.
@@ -2501,6 +2595,47 @@ ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $
 ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
 
+for ac_prog in gawk mawk nawk awk
+do
+  # Extract the first word of "$ac_prog", so it can be a program name with args.
+set dummy $ac_prog; ac_word=$2
+echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+if test "${ac_cv_prog_AWK+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$AWK"; then
+  ac_cv_prog_AWK="$AWK" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+    ac_cv_prog_AWK="$ac_prog"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+
+fi
+fi
+AWK=$ac_cv_prog_AWK
+if test -n "$AWK"; then
+  echo "$as_me:$LINENO: result: $AWK" >&5
+echo "${ECHO_T}$AWK" >&6
+else
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
+  test -n "$AWK" && break
+done
+
+
 
 if test -z "$LD"; then
   if test -n "$ac_tool_prefix"; then
@@ -5191,6 +5326,110 @@ fi
 
 
 
+cat >>confdefs.h <<\_ACEOF
+#define _GNU_SOURCE
+_ACEOF
+
+echo "$as_me:$LINENO: checking for strerror" >&5
+echo $ECHO_N "checking for strerror... $ECHO_C" >&6
+if test "${ac_cv_func_strerror+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define strerror to an innocuous variant, in case <limits.h> declares strerror.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define strerror innocuous_strerror
+
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char strerror (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef strerror
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+{
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char strerror ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined (__stub_strerror) || defined (__stub___strerror)
+choke me
+#else
+char (*f) () = strerror;
+#endif
+#ifdef __cplusplus
+}
+#endif
+
+int
+main ()
+{
+return f != strerror;
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_func_strerror=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_func_strerror=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: $ac_cv_func_strerror" >&5
+echo "${ECHO_T}$ac_cv_func_strerror" >&6
+if test $ac_cv_func_strerror = yes; then
+  :
+else
+  { { echo "$as_me:$LINENO: error: \"need obstack_printf function\"" >&5
+echo "$as_me: error: \"need obstack_printf function\"" >&2;}
+   { (exit 1); exit 1; }; }
+
+fi
+
+
 
 
           ac_config_files="$ac_config_files $ac_output_file"
@@ -5557,7 +5796,7 @@ _ASBOX
 } >&5
 cat >&5 <<_CSEOF
 
-This file was extended by libfirm $as_me 0.3.0, which was
+This file was extended by libfirm $as_me 1.3.0, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -5620,7 +5859,7 @@ _ACEOF
 
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-libfirm config.status 0.3.0
+libfirm config.status 1.3.0
 configured by $0, generated by GNU Autoconf 2.59,
   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
 
@@ -5813,6 +6052,7 @@ s,@ECHO_T@,$ECHO_T,;t t
 s,@LIBS@,$LIBS,;t t
 s,@libfirm_conf_env@,$libfirm_conf_env,;t t
 s,@plugin_subdirs@,$plugin_subdirs,;t t
+s,@XML2CONFIG@,$XML2CONFIG,;t t
 s,@enable_debug_libfirm@,$enable_debug_libfirm,;t t
 s,@enable_profile_libfirm@,$enable_profile_libfirm,;t t
 s,@enable_auto_documentation@,$enable_auto_documentation,;t t
@@ -5821,6 +6061,9 @@ s,@enable_heapanalysis@,$enable_heapanalysis,;t t
 s,@disable_libiberty@,$disable_libiberty,;t t
 s,@enable_statistics@,$enable_statistics,;t t
 s,@enable_libcore@,$enable_libcore,;t t
+s,@enable_ilp@,$enable_ilp,;t t
+s,@enable_jvm@,$enable_jvm,;t t
+s,@enable_wchar_support@,$enable_wchar_support,;t t
 s,@enable_external_effects@,$enable_external_effects,;t t
 s,@CC@,$CC,;t t
 s,@CFLAGS@,$CFLAGS,;t t
@@ -5829,6 +6072,7 @@ s,@CPPFLAGS@,$CPPFLAGS,;t t
 s,@ac_ct_CC@,$ac_ct_CC,;t t
 s,@EXEEXT@,$EXEEXT,;t t
 s,@OBJEXT@,$OBJEXT,;t t
+s,@AWK@,$AWK,;t t
 s,@LD@,$LD,;t t
 s,@ac_ct_LD@,$ac_ct_LD,;t t
 s,@libfirm_cv_prog_ld_r@,$libfirm_cv_prog_ld_r,;t t
@@ -6458,4 +6702,11 @@ if test "$no_create" != yes; then
 fi
 
 
-gawk -f $CONF_DIR_NAME/filter.awk < config.h | sed -f $CONF_DIR_NAME/filter.sed > ir/config/firm_config.h
+for i in $plugin_subdirs
+do
+       suffix=`echo $i | tr /a-z _A-Z`
+       echo "/* enabled plugin: $i */" >> config.h
+       echo "#define PLUGIN_$suffix 1" >> config.h
+done
+
+$AWK -f $CONF_DIR_NAME/filter.awk < config.h | sed -f $CONF_DIR_NAME/filter.sed > ir/config/firm_config.h